
{if isset($RSThemes['pages'][$templatefile]) && file_exists($RSThemes['pages'][$templatefile]['fullPath'])}
    {include file=$RSThemes['pages'][$templatefile]['fullPath']}
{else}
    {include file="orderforms/$carttpl/common.tpl"}
    <div class="main-grid{if $mainGrid} {$mainGrid}{/if}">
        {if $RSThemes['pages'][$templatefile]['config']['hideSidebar'] != '1'}
            <div class="main-sidebar hidden-xs hidden-sm hidden-md {if $sidebarOnRight || $RSThemes['layouts']['name'] == 'left-nav-wide'} main-sidebar-right {/if}">
                {if $RSThemes['addonSettings']['sticky_sidebars'] == "true"}<div class="sidebar-sticky">{/if}
                    {include file="orderforms/$carttpl/sidebar-categories.tpl"}
                {if $RSThemes['addonSettings']['sticky_sidebars'] == "true"}</div>{/if}
            </div>
        {/if}
        <div class="main-content{if $mainContentClasses} {$mainContentClasses}{/if}">
            {if $RSThemes['pages'][$templatefile]['config']['hideSidebar'] != '1'}
                {include file="orderforms/$carttpl/sidebar-categories-collapsed.tpl"}
            {/if}
            {if $errormessage}
                <div class="alert alert-danger">
                    {$errormessage}
                </div>
            {elseif !$productGroup}
                <div class="alert alert-info">
                    {lang key='orderForm.selectCategory'}
                </div>
            {/if}
            <div class="section products" id="products">
                <div class="row row-eq-height row-eq-height-sm">
                    {assign var=counter value=1}
                    {foreach from= $products item=product}
                        {$idPrefix = ($product.bid) ? ("bundle"|cat:$product.bid) : ("product"|cat:$product.pid)}
                        <div class="col{if $RSThemes['pages'][$templatefile]['config']['horizontalPackage'] == 1} col-12{/if}">
                            <div class="package{if $product.isFeatured} package-featured{/if}{if $RSThemes['pages'][$templatefile]['config']['horizontalPackage'] == 1} package-horizontal{/if}" id="{$idPrefix}">
                                <div class="package-header">   
                                    {if $product.isFeatured}
                                        <span class="label-corner label-primary">{$rslang->trans('order.featured')}</span>
                                    {/if}
                                    <h3 class="package-title">{$product.name}</h3>
                                    <div class="package-price">
                                        <div class="price">
                                            {if $product.bid}
                                                <div class="price-starting-from">{$LANG.bundledeal}</div>
                                                {if $product.displayprice}                                                        
                                                    {include file="$template/includes/common/price.tpl" 
                                                        price=$product.displayprice
                                                    }
                                                {/if}
                                            {else}
                                                {if $product.pricing.hasconfigoptions}
                                                    <div class="price-starting-from">{$LANG.startingfrom}</div>
                                                {/if}
                                                {if $DiscountCenterAddonIsActive}
                                                    {include file="$template/includes/common/price.tpl" 
                                                        price=$product.pricing.minprice.price 
                                                        priceCycle=$product.pricing.minprice.cycle
                                                        priceType=$product.pricing.type
                                                    }
                                                {else}
                                                    {include file="$template/includes/common/price.tpl" 
                                                        price=$product.pricing.minprice.price 
                                                        priceCycle=$product.pricing.minprice.cycle
                                                        priceType=$product.pricing.type
                                                        priceSetupFee=$product.pricing.minprice.setupFee
                                                    }
                                                {/if}                                                
                                            {/if}
                                        </div>
                                    </div>
                                </div>
                                <div class="package-body">
                                    <div class="package-content">
                                        {if $product.features}
                                            <ul class="package-features">
                                                {foreach $product.features as $feature => $value}
                                                    <li id="{$idPrefix}-feature{$value@iteration}">
                                                        {$feature} {$value}
                                                    </li>
                                                {/foreach}
                                            </ul>
                                        {/if}
                                        {if $product.featuresdesc}
                                            <p>{$product.featuresdesc}</p>
                                        {/if}
                                    </div>
                                    <div class="package-footer">
                                        <a href="{$product.productUrl}" class="btn btn-lg btn-primary {if $RSThemes['pages']['products']['config']['productColumns'] == '4' && $RSThemes['pages']['products']['config']['hideSidebar'] == '0'} no-min-width{/if} {if $product.stockControlEnabled && $product.qty == '0'}disabled{/if}" id="{$idPrefix}-order-button">
                                            {$LANG.ordernowbutton}
                                        </a>
                                        {if $product.stockControlEnabled}
                                            <div class="package-qty">
                                                {$product.qty} {$LANG.orderavailable}
                                            </div>
                                        {/if}
                                    </div>
                                </div>
                            </div>
                        </div>
                        {if $RSThemes['pages'][$templatefile]['config']['productColumns'] == '2'}
                            {if $counter % 2 == 0}</div><div class="row row-eq-height row-eq-height-sm">{/if}
                        {elseif $RSThemes['pages']['products']['config']['productColumns'] == '3'}
                            {if $counter % 3 == 0}</div><div class="row row-eq-height row-eq-height-sm">{/if}
                        {elseif $RSThemes['pages']['products']['config']['productColumns'] == '4'}
                            {if $counter % 4 == 0}</div><div class="row row-eq-height row-eq-height-sm">{/if}
                        {/if}
                        {$counter = $counter +1}
                    {/foreach}
                </div>
            </div>
            {if count($productGroup.features) > 0}
                <div class="section">
                    <div class="section-header">
                        <h2 class="section-title">{$LANG.orderForm.includedWithPlans}</h2>
                    </div>
                    <div class="section-body">
                        <div class="panel panel-form">
                            <div class="panel-body">
                                <ul class="list-features list-info">
                                    {foreach $productGroup.features as $features}
                                        <li><i class="lm lm-check"></i><span class="h6 m-b-0">{$features.feature}<span></li>
                                    {/foreach}
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            {/if}
        </div>
    </div>
{/if}